# napari-imc

![PyPI](https://img.shields.io/pypi/v/napari-imc)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/napari-imc)
![PyPI - License](https://img.shields.io/pypi/l/napari-imc)
![GitHub issues](https://img.shields.io/github/issues/BodenmillerGroup/napari-imc)
![GitHub pull requests](https://img.shields.io/github/issues-pr/BodenmillerGroup/napari-imc)

Imaging Mass Cytometry (IMC) file type support for napari

Open .mcd/.txt files and interactively view panoramas and multi-channel acquisitions using napari

## Requirements

This package requires Python 3.7 or newer.

Python package dependencies are listed in [requirements.txt](https://github.com/BodenmillerGroup/napari-imc/blob/main/requirements.txt).

Please note that napari is under active development. Currently, this package supports napari 0.4.5 and newer. 

Using virtual environments is strongly recommended.

## Installation

Ensure that `napari[all]` is installed.

Install napari-imc and its dependencies with:

    pip install napari-imc

## Usage

Use `napari` to open Imaging Mass Cytometry (IMC) .mcd/.txt files

## Authors

Created and maintained by Jonas Windhager [jonas.windhager@uzh.ch](mailto:jonas.windhager@uzh.ch)

## Contributing

[Contributing](https://github.com/BodenmillerGroup/napari-imc/blob/main/CONTRIBUTING.md)

## Changelog

[Changelog](https://github.com/BodenmillerGroup/napari-imc/blob/main/CHANGELOG.md)

## License

[MIT](https://github.com/BodenmillerGroup/napari-imc/blob/main/LICENSE.md)
